%global srcname pyvmomi

%global desc %{expand:
pyVmomi is the Python SDK for the vSphere API that allows you to manage\
ESX, ESXi, and vCenter.}

Name:           python-%{srcname}
Version:        7.0.3
Release:    1%{?dist}
Summary:        vSphere Python SDK
License:        Apache-2.0
URL:            https://github.com/vmware/%{srcname}
Source0:        %{pypi_source}

Patch0:         00-test-requirements.patch
Patch1:         01-SoapAdapter-SSLContext.patch
BuildArch:      noarch

%description %desc


%package -n     python3-%{srcname}
Summary:        vSphere SDK for Python3
BuildRequires:  python3-devel

%description -n python3-%{srcname} %desc


%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pyVmomi pyVim


%check
%tox


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.0.3-1
- initial build
